import zt from "@tailwindcss/typography";
const wt = {
  '.av-text-input-wrapper label[aria-hidden="true"],\n		.av-text-area-wrapper label[aria-hidden="true"]': {
    /* move the label inline */
    transform: "translate(18px, 0) scale(1)",
    transformOrigin: "top left",
    transition: "var(--av-text-area-wrapper-transition, all 0.2s ease-out)"
  },
  '.av-text-input:focus + label[aria-hidden="true"],\n	.av-text-input:not(:placeholder-shown) + label[aria-hidden="true"],\n	.av-text-area:focus + label[aria-hidden="true"],\n	.av-text-area:not(:placeholder-shown) + label[aria-hidden="true"]': {
    transform: "translate(18px, var(--av-text-area-label, -25px)) scale(0.75)"
  },
  ".av-text-input-helper-text,\n	.av-text-area-helper-text": {
    transform: `translate(18px, var(--av-text-area-helper-text, 32px))
			scale(0.75)`,
    transformOrigin: "top left"
  },
  ".av-text-input__control--right,\n	.av-text-area__control--right": {
    right: "18px"
  },
  "@keyframes blink": { "50%": { fill: "transparent" } },
  ".av-spinner__dot": { animation: "1s blink infinite" },
  ".av-spinner__dot:nth-child(2)": { animationDelay: "250ms" },
  ".av-spinner__dot:nth-child(3)": { animationDelay: "500ms" }
}, A0 = (e, t) => {
  if (typeof e == "number") {
    if (t === 3)
      return {
        mode: "rgb",
        r: (e >> 8 & 15 | e >> 4 & 240) / 255,
        g: (e >> 4 & 15 | e & 240) / 255,
        b: (e & 15 | e << 4 & 240) / 255
      };
    if (t === 4)
      return {
        mode: "rgb",
        r: (e >> 12 & 15 | e >> 8 & 240) / 255,
        g: (e >> 8 & 15 | e >> 4 & 240) / 255,
        b: (e >> 4 & 15 | e & 240) / 255,
        alpha: (e & 15 | e << 4 & 240) / 255
      };
    if (t === 6)
      return {
        mode: "rgb",
        r: (e >> 16 & 255) / 255,
        g: (e >> 8 & 255) / 255,
        b: (e & 255) / 255
      };
    if (t === 8)
      return {
        mode: "rgb",
        r: (e >> 24 & 255) / 255,
        g: (e >> 16 & 255) / 255,
        b: (e >> 8 & 255) / 255,
        alpha: (e & 255) / 255
      };
  }
}, Tt = {
  aliceblue: 15792383,
  antiquewhite: 16444375,
  aqua: 65535,
  aquamarine: 8388564,
  azure: 15794175,
  beige: 16119260,
  bisque: 16770244,
  black: 0,
  blanchedalmond: 16772045,
  blue: 255,
  blueviolet: 9055202,
  brown: 10824234,
  burlywood: 14596231,
  cadetblue: 6266528,
  chartreuse: 8388352,
  chocolate: 13789470,
  coral: 16744272,
  cornflowerblue: 6591981,
  cornsilk: 16775388,
  crimson: 14423100,
  cyan: 65535,
  darkblue: 139,
  darkcyan: 35723,
  darkgoldenrod: 12092939,
  darkgray: 11119017,
  darkgreen: 25600,
  darkgrey: 11119017,
  darkkhaki: 12433259,
  darkmagenta: 9109643,
  darkolivegreen: 5597999,
  darkorange: 16747520,
  darkorchid: 10040012,
  darkred: 9109504,
  darksalmon: 15308410,
  darkseagreen: 9419919,
  darkslateblue: 4734347,
  darkslategray: 3100495,
  darkslategrey: 3100495,
  darkturquoise: 52945,
  darkviolet: 9699539,
  deeppink: 16716947,
  deepskyblue: 49151,
  dimgray: 6908265,
  dimgrey: 6908265,
  dodgerblue: 2003199,
  firebrick: 11674146,
  floralwhite: 16775920,
  forestgreen: 2263842,
  fuchsia: 16711935,
  gainsboro: 14474460,
  ghostwhite: 16316671,
  gold: 16766720,
  goldenrod: 14329120,
  gray: 8421504,
  green: 32768,
  greenyellow: 11403055,
  grey: 8421504,
  honeydew: 15794160,
  hotpink: 16738740,
  indianred: 13458524,
  indigo: 4915330,
  ivory: 16777200,
  khaki: 15787660,
  lavender: 15132410,
  lavenderblush: 16773365,
  lawngreen: 8190976,
  lemonchiffon: 16775885,
  lightblue: 11393254,
  lightcoral: 15761536,
  lightcyan: 14745599,
  lightgoldenrodyellow: 16448210,
  lightgray: 13882323,
  lightgreen: 9498256,
  lightgrey: 13882323,
  lightpink: 16758465,
  lightsalmon: 16752762,
  lightseagreen: 2142890,
  lightskyblue: 8900346,
  lightslategray: 7833753,
  lightslategrey: 7833753,
  lightsteelblue: 11584734,
  lightyellow: 16777184,
  lime: 65280,
  limegreen: 3329330,
  linen: 16445670,
  magenta: 16711935,
  maroon: 8388608,
  mediumaquamarine: 6737322,
  mediumblue: 205,
  mediumorchid: 12211667,
  mediumpurple: 9662683,
  mediumseagreen: 3978097,
  mediumslateblue: 8087790,
  mediumspringgreen: 64154,
  mediumturquoise: 4772300,
  mediumvioletred: 13047173,
  midnightblue: 1644912,
  mintcream: 16121850,
  mistyrose: 16770273,
  moccasin: 16770229,
  navajowhite: 16768685,
  navy: 128,
  oldlace: 16643558,
  olive: 8421376,
  olivedrab: 7048739,
  orange: 16753920,
  orangered: 16729344,
  orchid: 14315734,
  palegoldenrod: 15657130,
  palegreen: 10025880,
  paleturquoise: 11529966,
  palevioletred: 14381203,
  papayawhip: 16773077,
  peachpuff: 16767673,
  peru: 13468991,
  pink: 16761035,
  plum: 14524637,
  powderblue: 11591910,
  purple: 8388736,
  // Added in CSS Colors Level 4:
  // https://drafts.csswg.org/css-color/#changes-from-3
  rebeccapurple: 6697881,
  red: 16711680,
  rosybrown: 12357519,
  royalblue: 4286945,
  saddlebrown: 9127187,
  salmon: 16416882,
  sandybrown: 16032864,
  seagreen: 3050327,
  seashell: 16774638,
  sienna: 10506797,
  silver: 12632256,
  skyblue: 8900331,
  slateblue: 6970061,
  slategray: 7372944,
  slategrey: 7372944,
  snow: 16775930,
  springgreen: 65407,
  steelblue: 4620980,
  tan: 13808780,
  teal: 32896,
  thistle: 14204888,
  tomato: 16737095,
  turquoise: 4251856,
  violet: 15631086,
  wheat: 16113331,
  white: 16777215,
  whitesmoke: 16119285,
  yellow: 16776960,
  yellowgreen: 10145074
}, Pt = Tt, Nt = (e) => A0(Pt[e.toLowerCase()], 6), Rt = Nt, Ct = /^#?([0-9a-f]{8}|[0-9a-f]{6}|[0-9a-f]{4}|[0-9a-f]{3})$/i, Xt = (e) => {
  let t;
  return (t = e.match(Ct)) ? A0(parseInt(t[1], 16), t[1].length) : void 0;
}, Lt = Xt, L = "([+-]?\\d*\\.?\\d+(?:[eE][+-]?\\d+)?)", ee = `${L}%`, t0 = `(?:${L}%|${L})`, Ht = `(?:${L}(deg|grad|rad|turn)|${L})`, E = "\\s*,\\s*", qt = new RegExp(
  `^rgba?\\(\\s*${L}${E}${L}${E}${L}\\s*(?:,\\s*${t0}\\s*)?\\)$`
), Ot = new RegExp(
  `^rgba?\\(\\s*${ee}${E}${ee}${E}${ee}\\s*(?:,\\s*${t0}\\s*)?\\)$`
), It = (e) => {
  let t = { mode: "rgb" }, n;
  if (n = e.match(qt))
    n[1] !== void 0 && (t.r = n[1] / 255), n[2] !== void 0 && (t.g = n[2] / 255), n[3] !== void 0 && (t.b = n[3] / 255);
  else if (n = e.match(Ot))
    n[1] !== void 0 && (t.r = n[1] / 100), n[2] !== void 0 && (t.g = n[2] / 100), n[3] !== void 0 && (t.b = n[3] / 100);
  else
    return;
  return n[4] !== void 0 ? t.alpha = n[4] / 100 : n[5] !== void 0 && (t.alpha = +n[5]), t;
}, St = It, jt = (e, t) => e === void 0 ? void 0 : typeof e != "object" ? Wt(e) : e.mode !== void 0 ? e : t ? { ...e, mode: t } : void 0, D0 = (e = "rgb") => (t) => (t = jt(t, e)) !== void 0 ? (
  // if the color's mode corresponds to our target mode
  t.mode === e ? (
    // then just return the color
    t
  ) : (
    // otherwise check to see if we have a dedicated
    // converter for the target mode
    T[t.mode][e] ? (
      // and return its result...
      T[t.mode][e](t)
    ) : (
      // ...otherwise pass through RGB as an intermediary step.
      // if the target mode is RGB...
      e === "rgb" ? (
        // just return the RGB
        T[t.mode].rgb(t)
      ) : (
        // otherwise convert color.mode -> RGB -> target_mode
        T.rgb[e](T[t.mode].rgb(t))
      )
    )
  )
) : void 0, T = {}, Y0 = {}, le = [], J0 = {}, Et = (e) => e, p = (e) => (T[e.mode] = {
  ...T[e.mode],
  ...e.toMode
}, Object.keys(e.fromMode || {}).forEach((t) => {
  T[t] || (T[t] = {}), T[t][e.mode] = e.fromMode[t];
}), e.ranges || (e.ranges = {}), e.difference || (e.difference = {}), e.channels.forEach((t) => {
  if (e.ranges[t] === void 0 && (e.ranges[t] = [0, 1]), !e.interpolate[t])
    throw new Error(`Missing interpolator for: ${t}`);
  typeof e.interpolate[t] == "function" && (e.interpolate[t] = {
    use: e.interpolate[t]
  }), e.interpolate[t].fixup || (e.interpolate[t].fixup = Et);
}), Y0[e.mode] = e, (e.parse || []).forEach((t) => {
  Dt(t, e.mode);
}), D0(e.mode)), At = (e) => Y0[e], Dt = (e, t) => {
  if (typeof e == "string") {
    if (!t)
      throw new Error("'mode' required when 'parser' is a string");
    J0[e] = t;
  } else
    typeof e == "function" && le.indexOf(e) < 0 && le.push(e);
}, Be = /[^\x00-\x7F]|[a-zA-Z_]/, Yt = /[^\x00-\x7F]|[-\w]/, l = {
  Function: "function",
  Ident: "ident",
  Number: "number",
  Percentage: "percentage",
  ParenClose: ")",
  None: "none",
  Hue: "hue",
  Alpha: "alpha"
};
let c = 0;
function oe(e) {
  let t = e[c], n = e[c + 1];
  return t === "-" || t === "+" ? /\d/.test(n) || n === "." && /\d/.test(e[c + 2]) : t === "." ? /\d/.test(n) : /\d/.test(t);
}
function We(e) {
  if (c >= e.length)
    return !1;
  let t = e[c];
  if (Be.test(t))
    return !0;
  if (t === "-") {
    if (e.length - c < 2)
      return !1;
    let n = e[c + 1];
    return !!(n === "-" || Be.test(n));
  }
  return !1;
}
const Jt = {
  deg: 1,
  rad: 180 / Math.PI,
  grad: 9 / 10,
  turn: 360
};
function Q(e) {
  let t = "";
  if ((e[c] === "-" || e[c] === "+") && (t += e[c++]), t += fe(e), e[c] === "." && /\d/.test(e[c + 1]) && (t += e[c++] + fe(e)), (e[c] === "e" || e[c] === "E") && ((e[c + 1] === "-" || e[c + 1] === "+") && /\d/.test(e[c + 2]) ? t += e[c++] + e[c++] + fe(e) : /\d/.test(e[c + 1]) && (t += e[c++] + fe(e))), We(e)) {
    let n = ie(e);
    return n === "deg" || n === "rad" || n === "turn" || n === "grad" ? { type: l.Hue, value: t * Jt[n] } : void 0;
  }
  return e[c] === "%" ? (c++, { type: l.Percentage, value: +t }) : { type: l.Number, value: +t };
}
function fe(e) {
  let t = "";
  for (; /\d/.test(e[c]); )
    t += e[c++];
  return t;
}
function ie(e) {
  let t = "";
  for (; c < e.length && Yt.test(e[c]); )
    t += e[c++];
  return t;
}
function Ft(e) {
  let t = ie(e);
  return e[c] === "(" ? (c++, { type: l.Function, value: t }) : t === "none" ? { type: l.None, value: void 0 } : { type: l.Ident, value: t };
}
function Gt(e = "") {
  let t = e.trim(), n = [], a;
  for (c = 0; c < t.length; ) {
    if (a = t[c++], a === `
` || a === "	" || a === " ") {
      for (; c < t.length && (t[c] === `
` || t[c] === "	" || t[c] === " "); )
        c++;
      continue;
    }
    if (a === ",")
      return;
    if (a === ")") {
      n.push({ type: l.ParenClose });
      continue;
    }
    if (a === "+") {
      if (c--, oe(t)) {
        n.push(Q(t));
        continue;
      }
      return;
    }
    if (a === "-") {
      if (c--, oe(t)) {
        n.push(Q(t));
        continue;
      }
      if (We(t)) {
        n.push({ type: l.Ident, value: ie(t) });
        continue;
      }
      return;
    }
    if (a === ".") {
      if (c--, oe(t)) {
        n.push(Q(t));
        continue;
      }
      return;
    }
    if (a === "/") {
      for (; c < t.length && (t[c] === `
` || t[c] === "	" || t[c] === " "); )
        c++;
      let r;
      if (oe(t) && (r = Q(t), r.type !== l.Hue)) {
        n.push({ type: l.Alpha, value: r });
        continue;
      }
      if (We(t) && ie(t) === "none") {
        n.push({
          type: l.Alpha,
          value: { type: l.None, value: void 0 }
        });
        continue;
      }
      return;
    }
    if (/\d/.test(a)) {
      c--, n.push(Q(t));
      continue;
    }
    if (Be.test(a)) {
      c--, n.push(Ft(t));
      continue;
    }
    return;
  }
  return n;
}
function Zt(e) {
  e._i = 0;
  let t = e[e._i++];
  if (!t || t.type !== l.Function || t.value !== "color" || (t = e[e._i++], t.type !== l.Ident))
    return;
  const n = J0[t.value];
  if (!n)
    return;
  const a = { mode: n }, r = F0(e, !1);
  if (!r)
    return;
  const o = At(n).channels;
  for (let f = 0, i; f < o.length; f++)
    i = r[f], i.type !== l.None && (a[o[f]] = i.type === l.Number ? i.value : i.value / 100);
  return a;
}
function F0(e, t) {
  const n = [];
  let a;
  for (; e._i < e.length; ) {
    if (a = e[e._i++], a.type === l.None || a.type === l.Number || a.type === l.Alpha || a.type === l.Percentage || t && a.type === l.Hue) {
      n.push(a);
      continue;
    }
    if (a.type === l.ParenClose) {
      if (e._i < e.length)
        return;
      continue;
    }
    return;
  }
  if (!(n.length < 3 || n.length > 4)) {
    if (n.length === 4) {
      if (n[3].type !== l.Alpha)
        return;
      n[3] = n[3].value;
    }
    return n.length === 3 && n.push({ type: l.None, value: void 0 }), n.every((r) => r.type !== l.Alpha) ? n : void 0;
  }
}
function Bt(e, t) {
  e._i = 0;
  let n = e[e._i++];
  if (!n || n.type !== l.Function)
    return;
  let a = F0(e, t);
  if (a)
    return a.unshift(n.value), a;
}
const Wt = (e) => {
  if (typeof e != "string")
    return;
  const t = Gt(e), n = t ? Bt(t, !0) : void 0;
  let a, r = 0, o = le.length;
  for (; r < o; )
    if ((a = le[r++](e, n)) !== void 0)
      return a;
  return t ? Zt(t) : void 0;
};
function Ut(e, t) {
  if (!t || t[0] !== "rgb" && t[0] !== "rgba")
    return;
  const n = { mode: "rgb" }, [, a, r, o, f] = t;
  if (!(a.type === l.Hue || r.type === l.Hue || o.type === l.Hue))
    return a.type !== l.None && (n.r = a.type === l.Number ? a.value / 255 : a.value / 100), r.type !== l.None && (n.g = r.type === l.Number ? r.value / 255 : r.value / 100), o.type !== l.None && (n.b = o.type === l.Number ? o.value / 255 : o.value / 100), f.type !== l.None && (n.alpha = f.type === l.Number ? f.value : f.value / 100), n;
}
const Kt = (e) => e === "transparent" ? { mode: "rgb", r: 0, g: 0, b: 0, alpha: 0 } : void 0, Vt = Kt, Qt = (e, t, n) => e + n * (t - e), en = (e) => {
  let t = [];
  for (let n = 0; n < e.length - 1; n++) {
    let a = e[n], r = e[n + 1];
    a === void 0 && r === void 0 ? t.push(void 0) : a !== void 0 && r !== void 0 ? t.push([a, r]) : t.push(a !== void 0 ? [a, a] : [r, r]);
  }
  return t;
}, tn = (e) => (t) => {
  let n = en(t);
  return (a) => {
    let r = a * n.length, o = a >= 1 ? n.length - 1 : Math.max(Math.floor(r), 0), f = n[o];
    return f === void 0 ? void 0 : e(f[0], f[1], r - o);
  };
}, s = tn(Qt), $ = (e) => {
  let t = !1, n = e.map((a) => a !== void 0 ? (t = !0, a) : 1);
  return t ? n : e;
}, nn = {
  mode: "rgb",
  channels: ["r", "g", "b", "alpha"],
  parse: [
    Ut,
    Lt,
    St,
    Rt,
    Vt,
    "srgb"
  ],
  serialize: "srgb",
  interpolate: {
    r: s,
    g: s,
    b: s,
    alpha: { use: s, fixup: $ }
  },
  gamut: !0
}, A = nn, we = (e) => Math.pow(Math.abs(e), 563 / 256) * Math.sign(e), g0 = (e) => {
  let t = we(e.r), n = we(e.g), a = we(e.b), r = {
    mode: "xyz65",
    x: 0.5766690429101305 * t + 0.1855582379065463 * n + 0.1882286462349947 * a,
    y: 0.297344975250536 * t + 0.6273635662554661 * n + 0.0752914584939979 * a,
    z: 0.0270313613864123 * t + 0.0706888525358272 * n + 0.9913375368376386 * a
  };
  return e.alpha !== void 0 && (r.alpha = e.alpha), r;
}, Te = (e) => Math.pow(Math.abs(e), 256 / 563) * Math.sign(e), m0 = ({ x: e, y: t, z: n, alpha: a }) => {
  let r = {
    mode: "a98",
    r: Te(
      e * 2.0415879038107465 - t * 0.5650069742788597 - 0.3447313507783297 * n
    ),
    g: Te(
      e * -0.9692436362808798 + t * 1.8759675015077206 + 0.0415550574071756 * n
    ),
    b: Te(
      e * 0.0134442806320312 - t * 0.1183623922310184 + 1.0151749943912058 * n
    )
  };
  return a !== void 0 && (r.alpha = a), r;
}, Pe = (e) => {
  const t = Math.abs(e);
  return t <= 0.04045 ? e / 12.92 : (Math.sign(e) || 1) * Math.pow((t + 0.055) / 1.055, 2.4);
}, D = ({ r: e, g: t, b: n, alpha: a }) => {
  let r = {
    mode: "lrgb",
    r: Pe(e),
    g: Pe(t),
    b: Pe(n)
  };
  return a !== void 0 && (r.alpha = a), r;
}, Y = (e) => {
  let { r: t, g: n, b: a, alpha: r } = D(e), o = {
    mode: "xyz65",
    x: 0.4123907992659593 * t + 0.357584339383878 * n + 0.1804807884018343 * a,
    y: 0.2126390058715102 * t + 0.715168678767756 * n + 0.0721923153607337 * a,
    z: 0.0193308187155918 * t + 0.119194779794626 * n + 0.9505321522496607 * a
  };
  return r !== void 0 && (o.alpha = r), o;
}, Ne = (e) => {
  const t = Math.abs(e);
  return t > 31308e-7 ? (Math.sign(e) || 1) * (1.055 * Math.pow(t, 1 / 2.4) - 0.055) : e * 12.92;
}, J = ({ r: e, g: t, b: n, alpha: a }, r = "rgb") => {
  let o = {
    mode: r,
    r: Ne(e),
    g: Ne(t),
    b: Ne(n)
  };
  return a !== void 0 && (o.alpha = a), o;
}, F = ({ x: e, y: t, z: n, alpha: a }) => {
  let r = J({
    r: e * 3.2409699419045226 - t * 1.537383177570094 - 0.4986107602930034 * n,
    g: e * -0.9692436362808796 + t * 1.8759675015077204 + 0.0415550574071756 * n,
    b: e * 0.0556300796969936 - t * 0.2039769588889765 + 1.0569715142428784 * n
  });
  return a !== void 0 && (r.alpha = a), r;
}, rn = {
  ...A,
  mode: "a98",
  parse: ["a98-rgb"],
  serialize: "a98-rgb",
  fromMode: {
    rgb: (e) => m0(Y(e)),
    xyz65: m0
  },
  toMode: {
    rgb: (e) => F(g0(e)),
    xyz65: g0
  }
}, an = rn, k = (e) => (e = e % 360) < 0 ? e + 360 : e, on = (e, t) => e.map((n, a, r) => {
  if (n === void 0)
    return n;
  let o = k(n);
  return a === 0 || e[a - 1] === void 0 ? o : t(o - k(r[a - 1]));
}).reduce((n, a) => !n.length || a === void 0 || n[n.length - 1] === void 0 ? (n.push(a), n) : (n.push(a + n[n.length - 1]), n), []), P = (e) => on(e, (t) => Math.abs(t) <= 180 ? t : t - 360 * Math.sign(t)), _ = [-0.14861, 1.78277, -0.29227, -0.90649, 1.97294, 0], fn = Math.PI / 180, ln = 180 / Math.PI;
let x0 = _[3] * _[4], y0 = _[1] * _[4], v0 = _[1] * _[2] - _[0] * _[3];
const sn = ({ r: e, g: t, b: n, alpha: a }) => {
  let r = (v0 * n + e * x0 - t * y0) / (v0 + x0 - y0), o = n - r, f = (_[4] * (t - r) - _[2] * o) / _[3], i = {
    mode: "cubehelix",
    l: r,
    s: r === 0 || r === 1 ? void 0 : Math.sqrt(o * o + f * f) / (_[4] * r * (1 - r))
  };
  return i.s && (i.h = Math.atan2(f, o) * ln - 120), a !== void 0 && (i.alpha = a), i;
}, dn = sn, un = ({ h: e, s: t, l: n, alpha: a }) => {
  let r = { mode: "rgb" };
  e = (e === void 0 ? 0 : e + 120) * fn;
  let o = t === void 0 ? 0 : t * n * (1 - n), f = Math.cos(e), i = Math.sin(e);
  return r.r = n + o * (_[0] * f + _[1] * i), r.g = n + o * (_[2] * f + _[3] * i), r.b = n + o * (_[4] * f + _[5] * i), a !== void 0 && (r.alpha = a), r;
}, cn = un, he = (e, t) => {
  if (e.h === void 0 || t.h === void 0 || !e.s || !t.s)
    return 0;
  let n = k(e.h), a = k(t.h), r = Math.sin((a - n + 360) / 2 * Math.PI / 180);
  return 2 * Math.sqrt(e.s * t.s) * r;
}, hn = (e, t) => {
  if (e.h === void 0 || t.h === void 0)
    return 0;
  let n = k(e.h), a = k(t.h);
  return Math.abs(a - n) > 180 ? n - (a - 360 * Math.sign(a - n)) : a - n;
}, be = (e, t) => {
  if (e.h === void 0 || t.h === void 0 || !e.c || !t.c)
    return 0;
  let n = k(e.h), a = k(t.h), r = Math.sin((a - n + 360) / 2 * Math.PI / 180);
  return 2 * Math.sqrt(e.c * t.c) * r;
}, N = (e) => {
  let t = e.reduce(
    (n, a) => {
      if (a !== void 0) {
        let r = a * Math.PI / 180;
        n.sin += Math.sin(r), n.cos += Math.cos(r);
      }
      return n;
    },
    { sin: 0, cos: 0 }
  );
  return Math.atan2(t.sin, t.cos) * 180 / Math.PI;
}, bn = {
  mode: "cubehelix",
  channels: ["h", "s", "l", "alpha"],
  parse: ["--cubehelix"],
  serialize: "--cubehelix",
  ranges: {
    h: [0, 360],
    s: [0, 4.614],
    l: [0, 1]
  },
  fromMode: {
    rgb: dn
  },
  toMode: {
    rgb: cn
  },
  interpolate: {
    h: {
      use: s,
      fixup: P
    },
    s,
    l: s,
    alpha: {
      use: s,
      fixup: $
    }
  },
  difference: {
    h: he
  },
  average: {
    h: N
  }
}, pn = bn, H = ({ l: e, a: t, b: n, alpha: a }, r = "lch") => {
  let o = Math.sqrt(t * t + n * n), f = { mode: r, l: e, c: o };
  return o && (f.h = k(Math.atan2(n, t) * 180 / Math.PI)), a !== void 0 && (f.alpha = a), f;
}, q = ({ l: e, c: t, h: n, alpha: a }, r = "lab") => {
  let o = {
    mode: r,
    l: e,
    a: t ? t * Math.cos(n / 180 * Math.PI) : 0,
    b: t ? t * Math.sin(n / 180 * Math.PI) : 0
  };
  return a !== void 0 && (o.alpha = a), o;
}, G0 = Math.pow(29, 3) / Math.pow(3, 3), Z0 = Math.pow(6, 3) / Math.pow(29, 3), x = {
  X: 0.3457 / 0.3585,
  Y: 1,
  Z: (1 - 0.3457 - 0.3585) / 0.3585
}, j = {
  X: 0.3127 / 0.329,
  Y: 1,
  Z: (1 - 0.3127 - 0.329) / 0.329
};
let Re = (e) => Math.pow(e, 3) > Z0 ? Math.pow(e, 3) : (116 * e - 16) / G0;
const gn = ({ l: e, a: t, b: n, alpha: a }) => {
  let r = (e + 16) / 116, o = t / 500 + r, f = r - n / 200, i = {
    mode: "xyz65",
    x: Re(o) * j.X,
    y: Re(r) * j.Y,
    z: Re(f) * j.Z
  };
  return a !== void 0 && (i.alpha = a), i;
}, B0 = gn, pe = (e) => F(B0(e)), Ce = (e) => e > Z0 ? Math.cbrt(e) : (G0 * e + 16) / 116, W0 = ({ x: e, y: t, z: n, alpha: a }) => {
  let r = Ce(e / j.X), o = Ce(t / j.Y), f = Ce(n / j.Z), i = {
    mode: "lab65",
    l: 116 * o - 16,
    a: 500 * (r - o),
    b: 200 * (o - f)
  };
  return a !== void 0 && (i.alpha = a), i;
}, ge = (e) => {
  let t = W0(Y(e));
  return e.r === e.b && e.b === e.g && (t.a = t.b = 0), t;
}, se = 1, U0 = 1, te = 26 / 180 * Math.PI, de = Math.cos(te), ue = Math.sin(te), K0 = 100 / Math.log(139 / 100), Ue = ({ l: e, c: t, h: n, alpha: a }) => {
  let r = {
    mode: "lab65",
    l: (Math.exp(e * se / K0) - 1) / 39e-4
  };
  if (n === void 0)
    r.a = r.b = 0;
  else {
    let o = (Math.exp(0.0435 * t * U0 * se) - 1) / 0.075, f = o * Math.cos(n / 180 * Math.PI - te), i = o * Math.sin(n / 180 * Math.PI - te);
    r.a = f * de - i / 0.83 * ue, r.b = f * ue + i / 0.83 * de;
  }
  return a !== void 0 && (r.alpha = a), r;
}, Ke = ({ l: e, a: t, b: n, alpha: a }) => {
  let r = t * de + n * ue, o = 0.83 * (n * de - t * ue), f = Math.sqrt(r * r + o * o), i = {
    mode: "dlch",
    l: K0 / se * Math.log(1 + 39e-4 * e),
    c: Math.log(1 + 0.075 * f) / (0.0435 * U0 * se)
  };
  return i.c && (i.h = k((Math.atan2(o, r) + te) / Math.PI * 180)), a !== void 0 && (i.alpha = a), i;
}, M0 = (e) => Ue(H(e, "dlch")), _0 = (e) => q(Ke(e), "dlab"), mn = {
  mode: "dlab",
  parse: ["--din99o-lab"],
  serialize: "--din99o-lab",
  toMode: {
    lab65: M0,
    rgb: (e) => pe(M0(e))
  },
  fromMode: {
    lab65: _0,
    rgb: (e) => _0(ge(e))
  },
  channels: ["l", "a", "b", "alpha"],
  ranges: {
    l: [0, 100],
    a: [-40.09, 45.501],
    b: [-40.469, 44.344]
  },
  interpolate: {
    l: s,
    a: s,
    b: s,
    alpha: {
      use: s,
      fixup: $
    }
  }
}, xn = mn, yn = {
  mode: "dlch",
  parse: ["--din99o-lch"],
  serialize: "--din99o-lch",
  toMode: {
    lab65: Ue,
    dlab: (e) => q(e, "dlab"),
    rgb: (e) => pe(Ue(e))
  },
  fromMode: {
    lab65: Ke,
    dlab: (e) => H(e, "dlch"),
    rgb: (e) => Ke(ge(e))
  },
  channels: ["l", "c", "h", "alpha"],
  ranges: {
    l: [0, 100],
    c: [0, 51.484],
    h: [0, 360]
  },
  interpolate: {
    l: s,
    c: s,
    h: {
      use: s,
      fixup: P
    },
    alpha: {
      use: s,
      fixup: $
    }
  },
  difference: {
    h: be
  },
  average: {
    h: N
  }
}, vn = yn;
function Mn({ h: e, s: t, i: n, alpha: a }) {
  e = k(e);
  let r = Math.abs(e / 60 % 2 - 1), o;
  switch (Math.floor(e / 60)) {
    case 0:
      o = {
        r: n * (1 + t * (3 / (2 - r) - 1)),
        g: n * (1 + t * (3 * (1 - r) / (2 - r) - 1)),
        b: n * (1 - t)
      };
      break;
    case 1:
      o = {
        r: n * (1 + t * (3 * (1 - r) / (2 - r) - 1)),
        g: n * (1 + t * (3 / (2 - r) - 1)),
        b: n * (1 - t)
      };
      break;
    case 2:
      o = {
        r: n * (1 - t),
        g: n * (1 + t * (3 / (2 - r) - 1)),
        b: n * (1 + t * (3 * (1 - r) / (2 - r) - 1))
      };
      break;
    case 3:
      o = {
        r: n * (1 - t),
        g: n * (1 + t * (3 * (1 - r) / (2 - r) - 1)),
        b: n * (1 + t * (3 / (2 - r) - 1))
      };
      break;
    case 4:
      o = {
        r: n * (1 + t * (3 * (1 - r) / (2 - r) - 1)),
        g: n * (1 - t),
        b: n * (1 + t * (3 / (2 - r) - 1))
      };
      break;
    case 5:
      o = {
        r: n * (1 + t * (3 / (2 - r) - 1)),
        g: n * (1 - t),
        b: n * (1 + t * (3 * (1 - r) / (2 - r) - 1))
      };
      break;
    default:
      o = { r: n * (1 - t), g: n * (1 - t), b: n * (1 - t) };
  }
  return o.mode = "rgb", a !== void 0 && (o.alpha = a), o;
}
function _n({ r: e, g: t, b: n, alpha: a }) {
  let r = Math.max(e, t, n), o = Math.min(e, t, n), f = {
    mode: "hsi",
    s: e + t + n === 0 ? 0 : 1 - 3 * o / (e + t + n),
    i: (e + t + n) / 3
  };
  return r - o !== 0 && (f.h = (r === e ? (t - n) / (r - o) + (t < n) * 6 : r === t ? (n - e) / (r - o) + 2 : (e - t) / (r - o) + 4) * 60), a !== void 0 && (f.alpha = a), f;
}
const $n = {
  mode: "hsi",
  toMode: {
    rgb: Mn
  },
  parse: ["--hsi"],
  serialize: "--hsi",
  fromMode: {
    rgb: _n
  },
  channels: ["h", "s", "i", "alpha"],
  ranges: {
    h: [0, 360]
  },
  gamut: "rgb",
  interpolate: {
    h: { use: s, fixup: P },
    s,
    i: s,
    alpha: { use: s, fixup: $ }
  },
  difference: {
    h: he
  },
  average: {
    h: N
  }
}, kn = $n;
function zn({ h: e, s: t, l: n, alpha: a }) {
  e = k(e);
  let r = n + t * (n < 0.5 ? n : 1 - n), o = r - (r - n) * 2 * Math.abs(e / 60 % 2 - 1), f;
  switch (Math.floor(e / 60)) {
    case 0:
      f = { r, g: o, b: 2 * n - r };
      break;
    case 1:
      f = { r: o, g: r, b: 2 * n - r };
      break;
    case 2:
      f = { r: 2 * n - r, g: r, b: o };
      break;
    case 3:
      f = { r: 2 * n - r, g: o, b: r };
      break;
    case 4:
      f = { r: o, g: 2 * n - r, b: r };
      break;
    case 5:
      f = { r, g: 2 * n - r, b: o };
      break;
    default:
      f = { r: 2 * n - r, g: 2 * n - r, b: 2 * n - r };
  }
  return f.mode = "rgb", a !== void 0 && (f.alpha = a), f;
}
function wn({ r: e, g: t, b: n, alpha: a }) {
  let r = Math.max(e, t, n), o = Math.min(e, t, n), f = {
    mode: "hsl",
    s: r === o ? 0 : (r - o) / (1 - Math.abs(r + o - 1)),
    l: 0.5 * (r + o)
  };
  return r - o !== 0 && (f.h = (r === e ? (t - n) / (r - o) + (t < n) * 6 : r === t ? (n - e) / (r - o) + 2 : (e - t) / (r - o) + 4) * 60), a !== void 0 && (f.alpha = a), f;
}
const Tn = (e, t) => {
  switch (t) {
    case "deg":
      return +e;
    case "rad":
      return e / Math.PI * 180;
    case "grad":
      return e / 10 * 9;
    case "turn":
      return e * 360;
  }
}, Pn = new RegExp(
  `^hsla?\\(\\s*${Ht}${E}${ee}${E}${ee}\\s*(?:,\\s*${t0}\\s*)?\\)$`
), Nn = (e) => {
  let t = e.match(Pn);
  if (!t)
    return;
  let n = { mode: "hsl" };
  return t[3] !== void 0 ? n.h = +t[3] : t[1] !== void 0 && t[2] !== void 0 && (n.h = Tn(t[1], t[2])), t[4] !== void 0 && (n.s = Math.min(Math.max(0, t[4] / 100), 1)), t[5] !== void 0 && (n.l = Math.min(Math.max(0, t[5] / 100), 1)), t[6] !== void 0 ? n.alpha = t[6] / 100 : t[7] !== void 0 && (n.alpha = +t[7]), n;
}, Rn = Nn;
function Cn(e, t) {
  if (!t || t[0] !== "hsl" && t[0] !== "hsla")
    return;
  const n = { mode: "hsl" }, [, a, r, o, f] = t;
  if (a.type !== l.None) {
    if (a.type === l.Percentage)
      return;
    n.h = a.value;
  }
  if (r.type !== l.None) {
    if (r.type === l.Hue)
      return;
    n.s = r.type === l.Number ? r.value : r.value / 100;
  }
  if (o.type !== l.None) {
    if (o.type === l.Hue)
      return;
    n.l = o.type === l.Number ? o.value : o.value / 100;
  }
  return f.type !== l.None && (n.alpha = f.type === l.Number ? f.value : f.value / 100), n;
}
const Xn = {
  mode: "hsl",
  toMode: {
    rgb: zn
  },
  fromMode: {
    rgb: wn
  },
  channels: ["h", "s", "l", "alpha"],
  ranges: {
    h: [0, 360]
  },
  gamut: "rgb",
  parse: [Cn, Rn],
  serialize: (e) => `hsl(${e.h || 0} ${e.s !== void 0 ? e.s * 100 + "%" : "none"} ${e.l !== void 0 ? e.l * 100 + "%" : "none"}${e.alpha < 1 ? ` / ${e.alpha}` : ""})`,
  interpolate: {
    h: { use: s, fixup: P },
    s,
    l: s,
    alpha: { use: s, fixup: $ }
  },
  difference: {
    h: he
  },
  average: {
    h: N
  }
}, V0 = Xn;
function Q0({ h: e, s: t, v: n, alpha: a }) {
  e = k(e);
  let r = Math.abs(e / 60 % 2 - 1), o;
  switch (Math.floor(e / 60)) {
    case 0:
      o = { r: n, g: n * (1 - t * r), b: n * (1 - t) };
      break;
    case 1:
      o = { r: n * (1 - t * r), g: n, b: n * (1 - t) };
      break;
    case 2:
      o = { r: n * (1 - t), g: n, b: n * (1 - t * r) };
      break;
    case 3:
      o = { r: n * (1 - t), g: n * (1 - t * r), b: n };
      break;
    case 4:
      o = { r: n * (1 - t * r), g: n * (1 - t), b: n };
      break;
    case 5:
      o = { r: n, g: n * (1 - t), b: n * (1 - t * r) };
      break;
    default:
      o = { r: n * (1 - t), g: n * (1 - t), b: n * (1 - t) };
  }
  return o.mode = "rgb", a !== void 0 && (o.alpha = a), o;
}
function et({ r: e, g: t, b: n, alpha: a }) {
  let r = Math.max(e, t, n), o = Math.min(e, t, n), f = {
    mode: "hsv",
    s: r === 0 ? 0 : 1 - o / r,
    v: r
  };
  return r - o !== 0 && (f.h = (r === e ? (t - n) / (r - o) + (t < n) * 6 : r === t ? (n - e) / (r - o) + 2 : (e - t) / (r - o) + 4) * 60), a !== void 0 && (f.alpha = a), f;
}
const Ln = {
  mode: "hsv",
  toMode: {
    rgb: Q0
  },
  parse: ["--hsv"],
  serialize: "--hsv",
  fromMode: {
    rgb: et
  },
  channels: ["h", "s", "v", "alpha"],
  ranges: {
    h: [0, 360]
  },
  gamut: "rgb",
  interpolate: {
    h: { use: s, fixup: P },
    s,
    v: s,
    alpha: { use: s, fixup: $ }
  },
  difference: {
    h: he
  },
  average: {
    h: N
  }
}, tt = Ln;
function Hn({ h: e, w: t, b: n, alpha: a }) {
  if (t + n > 1) {
    let r = t + n;
    t /= r, n /= r;
  }
  return Q0({
    h: e,
    s: n === 1 ? 1 : 1 - t / (1 - n),
    v: 1 - n,
    alpha: a
  });
}
function qn(e) {
  let t = et(e);
  if (t === void 0)
    return;
  let n = {
    mode: "hwb",
    w: (1 - t.s) * t.v,
    b: 1 - t.v
  };
  return t.h !== void 0 && (n.h = t.h), t.alpha !== void 0 && (n.alpha = t.alpha), n;
}
function On(e, t) {
  if (!t || t[0] !== "hwb")
    return;
  const n = { mode: "hwb" }, [, a, r, o, f] = t;
  if (a.type !== l.None) {
    if (a.type === l.Percentage)
      return;
    n.h = a.value;
  }
  if (r.type !== l.None) {
    if (r.type === l.Hue)
      return;
    n.w = r.type === l.Number ? r.value : r.value / 100;
  }
  if (o.type !== l.None) {
    if (o.type === l.Hue)
      return;
    n.b = o.type === l.Number ? o.value : o.value / 100;
  }
  return f.type !== l.None && (n.alpha = f.type === l.Number ? f.value : f.value / 100), n;
}
const In = {
  mode: "hwb",
  toMode: {
    rgb: Hn
  },
  fromMode: {
    rgb: qn
  },
  channels: ["h", "w", "b", "alpha"],
  ranges: {
    h: [0, 360]
  },
  gamut: "rgb",
  parse: [On],
  serialize: (e) => `hwb(${e.h || 0} ${e.w * 100}% ${e.b * 100}%${e.alpha < 1 ? ` / ${e.alpha}` : ""})`,
  interpolate: {
    h: { use: s, fixup: P },
    w: s,
    b: s,
    alpha: { use: s, fixup: $ }
  },
  difference: {
    h: hn
  },
  average: {
    h: N
  }
}, Sn = In, jn = 0.1593017578125, En = 134.03437499999998, An = 0.8359375, Dn = 18.8515625, Yn = 18.6875, Jn = 16295499532821565e-27, Xe = (e) => {
  let t = Math.pow(e / 1e4, jn);
  return Math.pow((An + Dn * t) / (1 + Yn * t), En) || 0;
}, Le = (e) => Math.max(e * 203, 0), nt = ({ x: e, y: t, z: n, alpha: a }) => {
  e = Le(e), t = Le(t), n = Le(n);
  let r = 1.15 * e - 0.15 * n, o = 0.66 * t + 0.34 * e, f = Xe(0.41478972 * r + 0.579999 * o + 0.014648 * n), i = Xe(-0.20151 * r + 1.120649 * o + 0.0531008 * n), d = Xe(-0.0166008 * r + 0.2648 * o + 0.6684799 * n), u = (f + i) / 2, h = {
    mode: "jab",
    j: 0.44 * u / (1 - 0.56 * u) - Jn,
    a: 3.524 * f - 4.066708 * i + 0.542708 * d,
    b: 0.199076 * f + 1.096799 * i - 1.295875 * d
  };
  return a !== void 0 && (h.alpha = a), h;
}, Fn = 0.1593017578125, Gn = 134.03437499999998, Zn = 0.8359375, Bn = 18.8515625, Wn = 18.6875, $0 = 16295499532821565e-27, He = (e) => {
  let t = Math.pow(e, 1 / Gn);
  return 1e4 * Math.pow((Zn - t) / (Wn * t - Bn), 1 / Fn) || 0;
}, qe = (e) => e / 203, Un = ({ j: e, a: t, b: n, alpha: a }) => {
  let r = (e + $0) / (0.44 + 0.56 * (e + $0)), o = He(r + 0.13860504 * t + 0.058047316 * n), f = He(r - 0.13860504 * t - 0.058047316 * n), i = He(r - 0.096019242 * t - 0.8118919 * n), d = {
    mode: "xyz65",
    x: qe(
      1.661373024652174 * o - 0.914523081304348 * f + 0.23136208173913045 * i
    ),
    y: qe(
      -0.3250758611844533 * o + 1.571847026732543 * f - 0.21825383453227928 * i
    ),
    z: qe(-0.090982811 * o - 0.31272829 * f + 1.5227666 * i)
  };
  return a !== void 0 && (d.alpha = a), d;
}, rt = Un, Kn = (e) => {
  let t = nt(Y(e));
  return e.r === e.b && e.b === e.g && (t.a = t.b = 0), t;
}, at = Kn, ot = (e) => F(rt(e)), Vn = {
  mode: "jab",
  channels: ["j", "a", "b", "alpha"],
  parse: ["--jzazbz"],
  serialize: "--jzazbz",
  fromMode: {
    rgb: at,
    xyz65: nt
  },
  toMode: {
    rgb: ot,
    xyz65: rt
  },
  ranges: {
    j: [0, 0.222],
    a: [-0.109, 0.129],
    b: [-0.185, 0.134]
  },
  interpolate: {
    j: s,
    a: s,
    b: s,
    alpha: { use: s, fixup: $ }
  }
}, Qn = Vn, k0 = ({ j: e, a: t, b: n, alpha: a }) => {
  let r = Math.sqrt(t * t + n * n), o = {
    mode: "jch",
    j: e,
    c: r
  };
  return r && (o.h = k(Math.atan2(n, t) * 180 / Math.PI)), a !== void 0 && (o.alpha = a), o;
}, er = ({ j: e, c: t, h: n, alpha: a }) => {
  let r = {
    mode: "jab",
    j: e,
    a: t ? t * Math.cos(n / 180 * Math.PI) : 0,
    b: t ? t * Math.sin(n / 180 * Math.PI) : 0
  };
  return a !== void 0 && (r.alpha = a), r;
}, z0 = er, tr = {
  mode: "jch",
  parse: ["--jzczhz"],
  serialize: "--jzczhz",
  toMode: {
    jab: z0,
    rgb: (e) => ot(z0(e))
  },
  fromMode: {
    rgb: (e) => k0(at(e)),
    jab: k0
  },
  channels: ["j", "c", "h", "alpha"],
  ranges: {
    j: [0, 0.221],
    c: [0, 0.19],
    h: [0, 360]
  },
  interpolate: {
    h: { use: s, fixup: P },
    c: s,
    j: s,
    alpha: { use: s, fixup: $ }
  },
  difference: {
    h: be
  },
  average: {
    h: N
  }
}, nr = tr, me = Math.pow(29, 3) / Math.pow(3, 3), n0 = Math.pow(6, 3) / Math.pow(29, 3);
let Oe = (e) => Math.pow(e, 3) > n0 ? Math.pow(e, 3) : (116 * e - 16) / me;
const rr = ({ l: e, a: t, b: n, alpha: a }) => {
  let r = (e + 16) / 116, o = t / 500 + r, f = r - n / 200, i = {
    mode: "xyz50",
    x: Oe(o) * x.X,
    y: Oe(r) * x.Y,
    z: Oe(f) * x.Z
  };
  return a !== void 0 && (i.alpha = a), i;
}, r0 = rr, ne = ({ x: e, y: t, z: n, alpha: a }) => {
  let r = J({
    r: e * 3.1341359569958707 - t * 1.6173863321612538 - 0.4906619460083532 * n,
    g: e * -0.978795502912089 + t * 1.916254567259524 + 0.03344273116131949 * n,
    b: e * 0.07195537988411677 - t * 0.2289768264158322 + 1.405386058324125 * n
  });
  return a !== void 0 && (r.alpha = a), r;
}, ft = (e) => ne(r0(e)), re = (e) => {
  let { r: t, g: n, b: a, alpha: r } = D(e), o = {
    mode: "xyz50",
    x: 0.436065742824811 * t + 0.3851514688337912 * n + 0.14307845442264197 * a,
    y: 0.22249319175623702 * t + 0.7168870538238823 * n + 0.06061979053616537 * a,
    z: 0.013923904500943465 * t + 0.09708128566574634 * n + 0.7140993584005155 * a
  };
  return r !== void 0 && (o.alpha = r), o;
}, Ie = (e) => e > n0 ? Math.cbrt(e) : (me * e + 16) / 116, a0 = ({ x: e, y: t, z: n, alpha: a }) => {
  let r = Ie(e / x.X), o = Ie(t / x.Y), f = Ie(n / x.Z), i = {
    mode: "lab",
    l: 116 * o - 16,
    a: 500 * (r - o),
    b: 200 * (o - f)
  };
  return a !== void 0 && (i.alpha = a), i;
}, ar = (e) => {
  let t = a0(re(e));
  return e.r === e.b && e.b === e.g && (t.a = t.b = 0), t;
}, lt = ar;
function or(e, t) {
  if (!t || t[0] !== "lab")
    return;
  const n = { mode: "lab" }, [, a, r, o, f] = t;
  if (!(a.type === l.Hue || r.type === l.Hue || o.type === l.Hue))
    return a.type !== l.None && (n.l = a.value), r.type !== l.None && (n.a = r.type === l.Number ? r.value : r.value * 125 / 100), o.type !== l.None && (n.b = o.type === l.Number ? o.value : o.value * 125 / 100), f.type !== l.None && (n.alpha = f.type === l.Number ? f.value : f.value / 100), n;
}
const fr = {
  mode: "lab",
  toMode: {
    xyz50: r0,
    rgb: ft
  },
  fromMode: {
    xyz50: a0,
    rgb: lt
  },
  channels: ["l", "a", "b", "alpha"],
  ranges: {
    l: [0, 100],
    a: [-100, 100],
    b: [-100, 100]
  },
  parse: [or],
  serialize: (e) => `lab(${e.l !== void 0 ? e.l : "none"} ${e.a !== void 0 ? e.a : "none"} ${e.b !== void 0 ? e.b : "none"}${e.alpha < 1 ? ` / ${e.alpha}` : ""})`,
  interpolate: {
    l: s,
    a: s,
    b: s,
    alpha: { use: s, fixup: $ }
  }
}, o0 = fr, lr = {
  ...o0,
  mode: "lab65",
  parse: ["--lab-d65"],
  serialize: "--lab-d65",
  toMode: {
    xyz65: B0,
    rgb: pe
  },
  fromMode: {
    xyz65: W0,
    rgb: ge
  },
  ranges: {
    l: [0, 100],
    a: [-86.182, 98.234],
    b: [-107.86, 94.477]
  }
}, ir = lr;
function sr(e, t) {
  if (!t || t[0] !== "lch")
    return;
  const n = { mode: "lch" }, [, a, r, o, f] = t;
  if (a.type !== l.None) {
    if (a.type === l.Hue)
      return;
    n.l = a.value;
  }
  if (r.type !== l.None && (n.c = Math.max(
    0,
    r.type === l.Number ? r.value : r.value * 150 / 100
  )), o.type !== l.None) {
    if (o.type === l.Percentage)
      return;
    n.h = o.value;
  }
  return f.type !== l.None && (n.alpha = f.type === l.Number ? f.value : f.value / 100), n;
}
const dr = {
  mode: "lch",
  toMode: {
    lab: q,
    rgb: (e) => ft(q(e))
  },
  fromMode: {
    rgb: (e) => H(lt(e)),
    lab: H
  },
  channels: ["l", "c", "h", "alpha"],
  ranges: {
    l: [0, 100],
    c: [0, 150],
    h: [0, 360]
  },
  parse: [sr],
  serialize: (e) => `lch(${e.l !== void 0 ? e.l : "none"} ${e.c !== void 0 ? e.c : "none"} ${e.h || 0}${e.alpha < 1 ? ` / ${e.alpha}` : ""})`,
  interpolate: {
    h: { use: s, fixup: P },
    c: s,
    l: s,
    alpha: { use: s, fixup: $ }
  },
  difference: {
    h: be
  },
  average: {
    h: N
  }
}, f0 = dr, ur = {
  ...f0,
  mode: "lch65",
  parse: ["--lch-d65"],
  serialize: "--lch-d65",
  toMode: {
    lab65: (e) => q(e, "lab65"),
    rgb: (e) => pe(q(e, "lab65"))
  },
  fromMode: {
    rgb: (e) => H(ge(e), "lch65"),
    lab65: (e) => H(e, "lch65")
  },
  ranges: {
    l: [0, 100],
    c: [0, 133.807],
    h: [0, 360]
  }
}, cr = ur, it = ({ l: e, u: t, v: n, alpha: a }) => {
  let r = Math.sqrt(t * t + n * n), o = {
    mode: "lchuv",
    l: e,
    c: r
  };
  return r && (o.h = k(Math.atan2(n, t) * 180 / Math.PI)), a !== void 0 && (o.alpha = a), o;
}, hr = ({ l: e, c: t, h: n, alpha: a }) => {
  let r = {
    mode: "luv",
    l: e,
    u: t ? t * Math.cos(n / 180 * Math.PI) : 0,
    v: t ? t * Math.sin(n / 180 * Math.PI) : 0
  };
  return a !== void 0 && (r.alpha = a), r;
}, st = hr, dt = (e, t, n) => 4 * e / (e + 15 * t + 3 * n), ut = (e, t, n) => 9 * t / (e + 15 * t + 3 * n), br = dt(x.X, x.Y, x.Z), pr = ut(x.X, x.Y, x.Z), gr = (e) => e <= n0 ? me * e : 116 * Math.cbrt(e) - 16, Ve = ({ x: e, y: t, z: n, alpha: a }) => {
  let r = gr(t / x.Y), o = dt(e, t, n), f = ut(e, t, n);
  !isFinite(o) || !isFinite(f) ? r = o = f = 0 : (o = 13 * r * (o - br), f = 13 * r * (f - pr));
  let i = {
    mode: "luv",
    l: r,
    u: o,
    v: f
  };
  return a !== void 0 && (i.alpha = a), i;
}, mr = (e, t, n) => 4 * e / (e + 15 * t + 3 * n), xr = (e, t, n) => 9 * t / (e + 15 * t + 3 * n), yr = mr(x.X, x.Y, x.Z), vr = xr(x.X, x.Y, x.Z), Mr = ({ l: e, u: t, v: n, alpha: a }) => {
  let r = t / (13 * e) + yr, o = n / (13 * e) + vr, f = x.Y * (e <= 8 ? e / me : Math.pow((e + 16) / 116, 3)), i = f * (9 * r) / (4 * o), d = f * (12 - 3 * r - 20 * o) / (4 * o), u = { mode: "xyz50", x: i, y: f, z: d };
  return a !== void 0 && (u.alpha = a), u;
}, Qe = Mr, _r = (e) => it(Ve(re(e))), $r = (e) => ne(Qe(st(e))), kr = {
  mode: "lchuv",
  toMode: {
    luv: st,
    rgb: $r
  },
  fromMode: {
    rgb: _r,
    luv: it
  },
  channels: ["l", "c", "h", "alpha"],
  parse: ["--lchuv"],
  serialize: "--lchuv",
  ranges: {
    l: [0, 100],
    c: [0, 176.956],
    h: [0, 360]
  },
  interpolate: {
    h: { use: s, fixup: P },
    c: s,
    l: s,
    alpha: { use: s, fixup: $ }
  },
  difference: {
    h: be
  },
  average: {
    h: N
  }
}, zr = kr, wr = {
  ...A,
  mode: "lrgb",
  toMode: {
    rgb: J
  },
  fromMode: {
    rgb: D
  },
  parse: ["srgb-linear"],
  serialize: "srgb-linear"
}, Tr = wr, Pr = {
  mode: "luv",
  toMode: {
    xyz50: Qe,
    rgb: (e) => ne(Qe(e))
  },
  fromMode: {
    xyz50: Ve,
    rgb: (e) => Ve(re(e))
  },
  channels: ["l", "u", "v", "alpha"],
  parse: ["--luv"],
  serialize: "--luv",
  ranges: {
    l: [0, 100],
    u: [-84.936, 175.042],
    v: [-125.882, 87.243]
  },
  interpolate: {
    l: s,
    u: s,
    v: s,
    alpha: { use: s, fixup: $ }
  }
}, Nr = Pr, ct = ({ r: e, g: t, b: n, alpha: a }) => {
  let r = Math.cbrt(
    0.41222147079999993 * e + 0.5363325363 * t + 0.0514459929 * n
  ), o = Math.cbrt(
    0.2119034981999999 * e + 0.6806995450999999 * t + 0.1073969566 * n
  ), f = Math.cbrt(
    0.08830246189999998 * e + 0.2817188376 * t + 0.6299787005000002 * n
  ), i = {
    mode: "oklab",
    l: 0.2104542553 * r + 0.793617785 * o - 0.0040720468 * f,
    a: 1.9779984951 * r - 2.428592205 * o + 0.4505937099 * f,
    b: 0.0259040371 * r + 0.7827717662 * o - 0.808675766 * f
  };
  return a !== void 0 && (i.alpha = a), i;
}, xe = (e) => {
  let t = ct(D(e));
  return e.r === e.b && e.b === e.g && (t.a = t.b = 0), t;
}, ae = ({ l: e, a: t, b: n, alpha: a }) => {
  let r = Math.pow(
    e * 0.9999999984505198 + 0.39633779217376786 * t + 0.2158037580607588 * n,
    3
  ), o = Math.pow(
    e * 1.0000000088817609 - 0.10556134232365635 * t - 0.06385417477170591 * n,
    3
  ), f = Math.pow(
    e * 1.0000000546724108 - 0.08948418209496575 * t - 1.2914855378640917 * n,
    3
  ), i = {
    mode: "lrgb",
    r: 4.076741661347994 * r - 3.307711590408193 * o + 0.230969928729428 * f,
    g: -1.2684380040921763 * r + 2.6097574006633715 * o - 0.3413193963102197 * f,
    b: -0.004196086541837188 * r - 0.7034186144594493 * o + 1.7076147009309444 * f
  };
  return a !== void 0 && (i.alpha = a), i;
}, ye = (e) => J(ae(e));
function e0(e) {
  const a = 1.170873786407767;
  return 0.5 * (a * e - 0.206 + Math.sqrt((a * e - 0.206) * (a * e - 0.206) + 4 * 0.03 * a * e));
}
function ce(e) {
  return (e * e + 0.206 * e) / (1.170873786407767 * (e + 0.03));
}
function Rr(e, t) {
  let n, a, r, o, f, i, d, u;
  -1.88170328 * e - 0.80936493 * t > 1 ? (n = 1.19086277, a = 1.76576728, r = 0.59662641, o = 0.75515197, f = 0.56771245, i = 4.0767416621, d = -3.3077115913, u = 0.2309699292) : 1.81444104 * e - 1.19445276 * t > 1 ? (n = 0.73956515, a = -0.45954404, r = 0.08285427, o = 0.1254107, f = 0.14503204, i = -1.2684380046, d = 2.6097574011, u = -0.3413193965) : (n = 1.35733652, a = -915799e-8, r = -1.1513021, o = -0.50559606, f = 692167e-8, i = -0.0041960863, d = -0.7034186147, u = 1.707614701);
  let h = n + a * e + r * t + o * e * e + f * e * t, m = 0.3963377774 * e + 0.2158037573 * t, y = -0.1055613458 * e - 0.0638541728 * t, w = -0.0894841775 * e - 1.291485548 * t;
  {
    let v = 1 + h * m, z = 1 + h * y, M = 1 + h * w, R = v * v * v, C = z * z * z, X = M * M * M, G = 3 * m * v * v, Z = 3 * y * z * z, B = 3 * w * M * M, W = 6 * m * m * v, U = 6 * y * y * z, K = 6 * w * w * M, S = i * R + d * C + u * X, O = i * G + d * Z + u * B, V = i * W + d * U + u * K;
    h = h - S * O / (O * O - 0.5 * S * V);
  }
  return h;
}
function l0(e, t) {
  let n = Rr(e, t), a = ae({ l: 1, a: n * e, b: n * t }), r = Math.cbrt(1 / Math.max(a.r, a.g, a.b)), o = r * n;
  return [r, o];
}
function Cr(e, t, n, a, r, o = null) {
  o || (o = l0(e, t));
  let f;
  if ((n - r) * o[1] - (o[0] - r) * a <= 0)
    f = o[1] * r / (a * o[0] + o[1] * (r - n));
  else {
    f = o[1] * (r - 1) / (a * (o[0] - 1) + o[1] * (r - n));
    {
      let i = n - r, d = a, u = 0.3963377774 * e + 0.2158037573 * t, h = -0.1055613458 * e - 0.0638541728 * t, m = -0.0894841775 * e - 1.291485548 * t, y = i + d * u, w = i + d * h, v = i + d * m;
      {
        let z = r * (1 - f) + f * n, M = f * a, R = z + M * u, C = z + M * h, X = z + M * m, G = R * R * R, Z = C * C * C, B = X * X * X, W = 3 * y * R * R, U = 3 * w * C * C, K = 3 * v * X * X, S = 6 * y * y * R, O = 6 * w * w * C, V = 6 * v * v * X, d0 = 4.0767416621 * G - 3.3077115913 * Z + 0.2309699292 * B - 1, ve = 4.0767416621 * W - 3.3077115913 * U + 0.2309699292 * K, _t = 4.0767416621 * S - 3.3077115913 * O + 0.2309699292 * V, u0 = ve / (ve * ve - 0.5 * d0 * _t), Me = -d0 * u0, c0 = -1.2684380046 * G + 2.6097574011 * Z - 0.3413193965 * B - 1, _e = -1.2684380046 * W + 2.6097574011 * U - 0.3413193965 * K, $t = -1.2684380046 * S + 2.6097574011 * O - 0.3413193965 * V, h0 = _e / (_e * _e - 0.5 * c0 * $t), $e = -c0 * h0, b0 = -0.0041960863 * G - 0.7034186147 * Z + 1.707614701 * B - 1, ke = -0.0041960863 * W - 0.7034186147 * U + 1.707614701 * K, kt = -0.0041960863 * S - 0.7034186147 * O + 1.707614701 * V, p0 = ke / (ke * ke - 0.5 * b0 * kt), ze = -b0 * p0;
        Me = u0 >= 0 ? Me : 1e6, $e = h0 >= 0 ? $e : 1e6, ze = p0 >= 0 ? ze : 1e6, f += Math.min(Me, Math.min($e, ze));
      }
    }
  }
  return f;
}
function i0(e, t, n = null) {
  n || (n = l0(e, t));
  let a = n[0], r = n[1];
  return [r / a, r / (1 - a)];
}
function ht(e, t, n) {
  let a = l0(t, n), r = Cr(t, n, e, 1, e, a), o = i0(t, n, a), f = 0.11516993 + 1 / (7.4477897 + 4.1590124 * n + t * (-2.19557347 + 1.75198401 * n + t * (-2.13704948 - 10.02301043 * n + t * (-4.24894561 + 5.38770819 * n + 4.69891013 * t)))), i = 0.11239642 + 1 / (1.6132032 - 0.68124379 * n + t * (0.40370612 + 0.90148123 * n + t * (-0.27087943 + 0.6122399 * n + t * (299215e-8 - 0.45399568 * n - 0.14661872 * t)))), d = r / Math.min(e * o[0], (1 - e) * o[1]), u = e * f, h = (1 - e) * i, m = 0.9 * d * Math.sqrt(
    Math.sqrt(
      1 / (1 / (u * u * u * u) + 1 / (h * h * h * h))
    )
  );
  return u = e * 0.4, h = (1 - e) * 0.8, [Math.sqrt(1 / (1 / (u * u) + 1 / (h * h))), m, r];
}
function w0(e) {
  const t = { mode: "okhsl", l: e0(e.l) };
  e.alpha !== void 0 && (t.alpha = e.alpha);
  let n = Math.sqrt(e.a * e.a + e.b * e.b);
  if (!n)
    return t.s = 0, t;
  let [a, r, o] = ht(e.l, e.a / n, e.b / n), f;
  if (n < r) {
    let i = 0, d = 0.8 * a, u = 1 - d / r;
    f = (n - i) / (d + u * (n - i)) * 0.8;
  } else {
    let i = r, d = 0.2 * r * r * 1.25 * 1.25 / a, u = 1 - d / (o - r);
    f = 0.8 + 0.2 * ((n - i) / (d + u * (n - i)));
  }
  return f && (t.s = f, t.h = k(Math.atan2(e.b, e.a) * 180 / Math.PI)), t;
}
function T0(e) {
  let t = ce(e.l);
  const n = { mode: "oklab", l: t };
  if (e.alpha !== void 0 && (n.alpha = e.alpha), !e.s || e.l === 1)
    return n.a = n.b = 0, n;
  let a = Math.cos(e.h / 180 * Math.PI), r = Math.sin(e.h / 180 * Math.PI), [o, f, i] = ht(t, a, r), d, u, h, m;
  e.s < 0.8 ? (d = 1.25 * e.s, u = 0, h = 0.8 * o, m = 1 - h / f) : (d = 5 * (e.s - 0.8), u = f, h = 0.2 * f * f * 1.25 * 1.25 / o, m = 1 - h / (i - f));
  let y = u + d * h / (1 - m * d);
  return n.a = y * a, n.b = y * r, n;
}
const Xr = {
  ...V0,
  mode: "okhsl",
  channels: ["h", "s", "l", "alpha"],
  parse: ["--okhsl"],
  serialize: "--okhsl",
  fromMode: {
    oklab: w0,
    rgb: (e) => w0(xe(e))
  },
  toMode: {
    oklab: T0,
    rgb: (e) => ye(T0(e))
  }
}, Lr = Xr;
function P0(e) {
  let t = Math.sqrt(e.a * e.a + e.b * e.b), n = e.l, a = t ? e.a / t : 1, r = t ? e.b / t : 1, [o, f] = i0(a, r), i = 0.5, d = 1 - i / o, u = f / (t + n * f), h = u * n, m = u * t, y = ce(h), w = m * y / h, v = ae({ l: y, a: a * w, b: r * w }), z = Math.cbrt(
    1 / Math.max(v.r, v.g, v.b, 0)
  );
  n = n / z, t = t / z * e0(n) / n, n = e0(n);
  const M = {
    mode: "okhsv",
    s: t ? (i + f) * m / (f * i + f * d * m) : 0,
    v: n ? n / h : 0
  };
  return M.s && (M.h = k(Math.atan2(e.b, e.a) * 180 / Math.PI)), e.alpha !== void 0 && (M.alpha = e.alpha), M;
}
function N0(e) {
  const t = { mode: "oklab" };
  e.alpha !== void 0 && (t.alpha = e.alpha);
  const n = e.h || 0, a = Math.cos(n / 180 * Math.PI), r = Math.sin(n / 180 * Math.PI), [o, f] = i0(a, r), i = 0.5, d = 1 - i / o, u = 1 - e.s * i / (i + f - f * d * e.s), h = e.s * f * i / (i + f - f * d * e.s), m = ce(u), y = h * m / u, w = ae({
    l: m,
    a: a * y,
    b: r * y
  }), v = Math.cbrt(
    1 / Math.max(w.r, w.g, w.b, 0)
  ), z = ce(e.v * u), M = h * z / u;
  return t.l = z * v, t.a = M * a * v, t.b = M * r * v, t;
}
const Hr = {
  ...tt,
  mode: "okhsv",
  channels: ["h", "s", "v", "alpha"],
  parse: ["--okhsv"],
  serialize: "--okhsv",
  fromMode: {
    oklab: P0,
    rgb: (e) => P0(xe(e))
  },
  toMode: {
    oklab: N0,
    rgb: (e) => ye(N0(e))
  }
}, qr = Hr;
function Or(e, t) {
  if (!t || t[0] !== "oklab")
    return;
  const n = { mode: "oklab" }, [, a, r, o, f] = t;
  if (!(a.type === l.Hue || r.type === l.Hue || o.type === l.Hue))
    return a.type !== l.None && (n.l = a.type === l.Number ? a.value : a.value / 100), r.type !== l.None && (n.a = r.type === l.Number ? r.value : r.value * 0.4 / 100), o.type !== l.None && (n.b = o.type === l.Number ? o.value : o.value * 0.4 / 100), f.type !== l.None && (n.alpha = f.type === l.Number ? f.value : f.value / 100), n;
}
const Ir = {
  ...o0,
  mode: "oklab",
  toMode: {
    lrgb: ae,
    rgb: ye
  },
  fromMode: {
    lrgb: ct,
    rgb: xe
  },
  ranges: {
    l: [0, 1],
    a: [-0.4, 0.4],
    b: [-0.4, 0.4]
  },
  parse: [Or],
  serialize: (e) => `oklab(${e.l !== void 0 ? e.l : "none"} ${e.a !== void 0 ? e.a : "none"} ${e.b !== void 0 ? e.b : "none"}${e.alpha < 1 ? ` / ${e.alpha}` : ""})`
}, Sr = Ir;
function jr(e, t) {
  if (!t || t[0] !== "oklch")
    return;
  const n = { mode: "oklch" }, [, a, r, o, f] = t;
  if (a.type !== l.None) {
    if (a.type === l.Hue)
      return;
    n.l = a.type === l.Number ? a.value : a.value / 100;
  }
  if (r.type !== l.None && (n.c = Math.max(
    0,
    r.type === l.Number ? r.value : r.value * 0.4 / 100
  )), o.type !== l.None) {
    if (o.type === l.Percentage)
      return;
    n.h = o.value;
  }
  return f.type !== l.None && (n.alpha = f.type === l.Number ? f.value : f.value / 100), n;
}
const Er = {
  ...f0,
  mode: "oklch",
  toMode: {
    oklab: (e) => q(e, "oklab"),
    rgb: (e) => ye(q(e, "oklab"))
  },
  fromMode: {
    rgb: (e) => H(xe(e), "oklch"),
    oklab: (e) => H(e, "oklch")
  },
  parse: [jr],
  serialize: (e) => `oklch(${e.l !== void 0 ? e.l : "none"} ${e.c !== void 0 ? e.c : "none"} ${e.h || 0}${e.alpha < 1 ? ` / ${e.alpha}` : ""})`,
  ranges: {
    l: [0, 1],
    c: [0, 0.4],
    h: [0, 360]
  }
}, Ar = Er, R0 = (e) => {
  let { r: t, g: n, b: a, alpha: r } = D(e), o = {
    mode: "xyz65",
    x: 0.486570948648216 * t + 0.265667693169093 * n + 0.1982172852343625 * a,
    y: 0.2289745640697487 * t + 0.6917385218365062 * n + 0.079286914093745 * a,
    z: 0 * t + 0.0451133818589026 * n + 1.043944368900976 * a
  };
  return r !== void 0 && (o.alpha = r), o;
}, C0 = ({ x: e, y: t, z: n, alpha: a }) => {
  let r = J(
    {
      r: e * 2.4934969119414263 - t * 0.9313836179191242 - 0.402710784450717 * n,
      g: e * -0.8294889695615749 + t * 1.7626640603183465 + 0.0236246858419436 * n,
      b: e * 0.0358458302437845 - t * 0.0761723892680418 + 0.9568845240076871 * n
    },
    "p3"
  );
  return a !== void 0 && (r.alpha = a), r;
}, Dr = {
  ...A,
  mode: "p3",
  parse: ["display-p3"],
  serialize: "display-p3",
  fromMode: {
    rgb: (e) => C0(Y(e)),
    xyz65: C0
  },
  toMode: {
    rgb: (e) => F(R0(e)),
    xyz65: R0
  }
}, Yr = Dr, Se = (e) => {
  let t = Math.abs(e);
  return t >= 1 / 512 ? Math.sign(e) * Math.pow(t, 1 / 1.8) : 16 * e;
}, X0 = ({ x: e, y: t, z: n, alpha: a }) => {
  let r = {
    mode: "prophoto",
    r: Se(
      e * 1.3457868816471585 - t * 0.2555720873797946 - 0.0511018649755453 * n
    ),
    g: Se(
      e * -0.5446307051249019 + t * 1.5082477428451466 + 0.0205274474364214 * n
    ),
    b: Se(e * 0 + t * 0 + 1.2119675456389452 * n)
  };
  return a !== void 0 && (r.alpha = a), r;
}, je = (e) => {
  let t = Math.abs(e);
  return t >= 16 / 512 ? Math.sign(e) * Math.pow(t, 1.8) : e / 16;
}, Jr = (e) => {
  let t = je(e.r), n = je(e.g), a = je(e.b), r = {
    mode: "xyz50",
    x: 0.7977666449006423 * t + 0.1351812974005331 * n + 0.0313477341283922 * a,
    y: 0.2880748288194013 * t + 0.7118352342418731 * n + 899369387256e-16 * a,
    z: 0 * t + 0 * n + 0.8251046025104602 * a
  };
  return e.alpha !== void 0 && (r.alpha = e.alpha), r;
}, L0 = Jr, Fr = {
  ...A,
  mode: "prophoto",
  parse: ["prophoto-rgb"],
  serialize: "prophoto-rgb",
  fromMode: {
    xyz50: X0,
    rgb: (e) => X0(re(e))
  },
  toMode: {
    xyz50: L0,
    rgb: (e) => ne(L0(e))
  }
}, Gr = Fr, H0 = 1.09929682680944, Zr = 0.018053968510807, Ee = (e) => {
  const t = Math.abs(e);
  return t > Zr ? (Math.sign(e) || 1) * (H0 * Math.pow(t, 0.45) - (H0 - 1)) : 4.5 * e;
}, q0 = ({ x: e, y: t, z: n, alpha: a }) => {
  let r = {
    mode: "rec2020",
    r: Ee(
      e * 1.7166511879712683 - t * 0.3556707837763925 - 0.2533662813736599 * n
    ),
    g: Ee(
      e * -0.6666843518324893 + t * 1.6164812366349395 + 0.0157685458139111 * n
    ),
    b: Ee(
      e * 0.0176398574453108 - t * 0.0427706132578085 + 0.9421031212354739 * n
    )
  };
  return a !== void 0 && (r.alpha = a), r;
}, O0 = 1.09929682680944, Br = 0.018053968510807, Ae = (e) => {
  let t = Math.abs(e);
  return t < Br * 4.5 ? e / 4.5 : (Math.sign(e) || 1) * Math.pow((t + O0 - 1) / O0, 1 / 0.45);
}, Wr = (e) => {
  let t = Ae(e.r), n = Ae(e.g), a = Ae(e.b), r = {
    mode: "xyz65",
    x: 0.6369580483012911 * t + 0.1446169035862083 * n + 0.1688809751641721 * a,
    y: 0.262700212011267 * t + 0.6779980715188708 * n + 0.059301716469862 * a,
    z: 0 * t + 0.0280726930490874 * n + 1.0609850577107909 * a
  };
  return e.alpha !== void 0 && (r.alpha = e.alpha), r;
}, I0 = Wr, Ur = {
  ...A,
  mode: "rec2020",
  fromMode: {
    xyz65: q0,
    rgb: (e) => q0(Y(e))
  },
  toMode: {
    xyz65: I0,
    rgb: (e) => F(I0(e))
  },
  parse: ["rec2020"],
  serialize: "rec2020"
}, Kr = Ur, I = 0.0037930732552754493, bt = Math.cbrt(I), De = (e) => Math.cbrt(e) - bt, Vr = (e) => {
  const { r: t, g: n, b: a, alpha: r } = D(e), o = De(0.3 * t + 0.622 * n + 0.078 * a + I), f = De(0.23 * t + 0.692 * n + 0.078 * a + I), i = De(
    0.2434226892454782 * t + 0.2047674442449682 * n + 0.5518098665095535 * a + I
  ), d = {
    mode: "xyb",
    x: (o - f) / 2,
    y: (o + f) / 2,
    /* Apply default chroma from luma (subtract Y from B) */
    b: i - (o + f) / 2
  };
  return r !== void 0 && (d.alpha = r), d;
}, Qr = Vr, Ye = (e) => Math.pow(e + bt, 3), ea = ({ x: e, y: t, b: n, alpha: a }) => {
  const r = Ye(e + t) - I, o = Ye(t - e) - I, f = Ye(n + t) - I, i = J({
    r: 11.031566904639861 * r - 9.866943908131562 * o - 0.16462299650829934 * f,
    g: -3.2541473810744237 * r + 4.418770377582723 * o - 0.16462299650829934 * f,
    b: -3.6588512867136815 * r + 2.7129230459360922 * o + 1.9459282407775895 * f
  });
  return a !== void 0 && (i.alpha = a), i;
}, ta = ea, na = {
  mode: "xyb",
  channels: ["x", "y", "b", "alpha"],
  parse: ["--xyb"],
  serialize: "--xyb",
  toMode: {
    rgb: ta
  },
  fromMode: {
    rgb: Qr
  },
  ranges: {
    x: [-0.0154, 0.0281],
    y: [0, 0.8453],
    b: [-0.2778, 0.388]
  },
  interpolate: {
    x: s,
    y: s,
    b: s,
    alpha: { use: s, fixup: $ }
  }
}, ra = na, aa = {
  mode: "xyz50",
  parse: ["xyz-d50"],
  serialize: "xyz-d50",
  toMode: {
    rgb: ne,
    lab: a0
  },
  fromMode: {
    rgb: re,
    lab: r0
  },
  channels: ["x", "y", "z", "alpha"],
  ranges: {
    x: [0, 0.964],
    y: [0, 0.999],
    z: [0, 0.825]
  },
  interpolate: {
    x: s,
    y: s,
    z: s,
    alpha: { use: s, fixup: $ }
  }
}, oa = aa, fa = (e) => {
  let { x: t, y: n, z: a, alpha: r } = e, o = {
    mode: "xyz50",
    x: 1.0479298208405488 * t + 0.0229467933410191 * n - 0.0501922295431356 * a,
    y: 0.0296278156881593 * t + 0.990434484573249 * n - 0.0170738250293851 * a,
    z: -0.0092430581525912 * t + 0.0150551448965779 * n + 0.7518742899580008 * a
  };
  return r !== void 0 && (o.alpha = r), o;
}, la = fa, ia = (e) => {
  let { x: t, y: n, z: a, alpha: r } = e, o = {
    mode: "xyz65",
    x: 0.9554734527042182 * t - 0.0230985368742614 * n + 0.0632593086610217 * a,
    y: -0.0283697069632081 * t + 1.0099954580058226 * n + 0.021041398966943 * a,
    z: 0.0123140016883199 * t - 0.0205076964334779 * n + 1.3303659366080753 * a
  };
  return r !== void 0 && (o.alpha = r), o;
}, sa = ia, da = {
  mode: "xyz65",
  toMode: {
    rgb: F,
    xyz50: la
  },
  fromMode: {
    rgb: Y,
    xyz50: sa
  },
  ranges: {
    x: [0, 0.95],
    y: [0, 1],
    z: [0, 1.088]
  },
  channels: ["x", "y", "z", "alpha"],
  parse: ["xyz", "xyz-d65"],
  serialize: "xyz-d65",
  interpolate: {
    x: s,
    y: s,
    z: s,
    alpha: { use: s, fixup: $ }
  }
}, ua = da, ca = ({ r: e, g: t, b: n, alpha: a }) => {
  const r = {
    mode: "yiq",
    y: 0.29889531 * e + 0.58662247 * t + 0.11448223 * n,
    i: 0.59597799 * e - 0.2741761 * t - 0.32180189 * n,
    q: 0.21147017 * e - 0.52261711 * t + 0.31114694 * n
  };
  return a !== void 0 && (r.alpha = a), r;
}, ha = ca, ba = ({ y: e, i: t, q: n, alpha: a }) => {
  const r = {
    mode: "rgb",
    r: e + 0.95608445 * t + 0.6208885 * n,
    g: e - 0.27137664 * t - 0.6486059 * n,
    b: e - 1.10561724 * t + 1.70250126 * n
  };
  return a !== void 0 && (r.alpha = a), r;
}, pa = ba, ga = {
  mode: "yiq",
  toMode: {
    rgb: pa
  },
  fromMode: {
    rgb: ha
  },
  channels: ["y", "i", "q", "alpha"],
  parse: ["--yiq"],
  serialize: "--yiq",
  ranges: {
    i: [-0.595, 0.595],
    q: [-0.522, 0.522]
  },
  interpolate: {
    y: s,
    i: s,
    q: s,
    alpha: { use: s, fixup: $ }
  }
}, ma = ga;
p(an);
p(pn);
p(xn);
p(vn);
p(kn);
p(V0);
p(tt);
p(Sn);
p(Qn);
p(nr);
p(o0);
p(ir);
p(f0);
p(cr);
p(zr);
p(Tr);
p(Nr);
p(Lr);
p(qr);
p(Sr);
p(Ar);
p(Yr);
p(Gr);
p(Kr);
p(A);
p(ra);
p(oa);
p(ua);
p(ma);
function pt(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var gt = {}, mt = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return n;
    }
  });
  function t(a, r) {
    return {
      handler: a,
      config: r
    };
  }
  t.withOptions = function(a, r = () => ({})) {
    const o = function(f) {
      return {
        __options: f,
        handler: a(f),
        config: r(f)
      };
    };
    return o.__isOptionsFunction = !0, o.__pluginFunction = a, o.__configFunction = r, o;
  };
  const n = t;
})(mt);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return a;
    }
  });
  const t = /* @__PURE__ */ n(mt);
  function n(r) {
    return r && r.__esModule ? r : {
      default: r
    };
  }
  const a = t.default;
})(gt);
let Je = gt;
var xa = (Je.__esModule ? Je : { default: Je }).default;
const ya = /* @__PURE__ */ pt(xa);
var xt = {}, yt = {}, s0 = { exports: {} }, g = String, vt = function() {
  return { isColorSupported: !1, reset: g, bold: g, dim: g, italic: g, underline: g, inverse: g, hidden: g, strikethrough: g, black: g, red: g, green: g, yellow: g, blue: g, magenta: g, cyan: g, white: g, gray: g, bgBlack: g, bgRed: g, bgGreen: g, bgYellow: g, bgBlue: g, bgMagenta: g, bgCyan: g, bgWhite: g };
};
s0.exports = vt();
s0.exports.createColors = vt;
var va = s0.exports;
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  });
  function t(d, u) {
    for (var h in u)
      Object.defineProperty(d, h, {
        enumerable: !0,
        get: u[h]
      });
  }
  t(e, {
    dim: function() {
      return f;
    },
    default: function() {
      return i;
    }
  });
  const n = /* @__PURE__ */ a(va);
  function a(d) {
    return d && d.__esModule ? d : {
      default: d
    };
  }
  let r = /* @__PURE__ */ new Set();
  function o(d, u, h) {
    typeof process < "u" && process.env.JEST_WORKER_ID || h && r.has(h) || (h && r.add(h), console.warn(""), u.forEach((m) => console.warn(d, "-", m)));
  }
  function f(d) {
    return n.default.dim(d);
  }
  const i = {
    info(d, u) {
      o(n.default.bold(n.default.cyan("info")), ...Array.isArray(d) ? [
        d
      ] : [
        u,
        d
      ]);
    },
    warn(d, u) {
      o(n.default.bold(n.default.yellow("warn")), ...Array.isArray(d) ? [
        d
      ] : [
        u,
        d
      ]);
    },
    risk(d, u) {
      o(n.default.bold(n.default.magenta("risk")), ...Array.isArray(d) ? [
        d
      ] : [
        u,
        d
      ]);
    }
  };
})(yt);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return r;
    }
  });
  const t = /* @__PURE__ */ n(yt);
  function n(o) {
    return o && o.__esModule ? o : {
      default: o
    };
  }
  function a({ version: o, from: f, to: i }) {
    t.default.warn(`${f}-color-renamed`, [
      `As of Tailwind CSS ${o}, \`${f}\` has been renamed to \`${i}\`.`,
      "Update your configuration file to silence this warning."
    ]);
  }
  const r = {
    inherit: "inherit",
    current: "currentColor",
    transparent: "transparent",
    black: "#000",
    white: "#fff",
    slate: {
      50: "#f8fafc",
      100: "#f1f5f9",
      200: "#e2e8f0",
      300: "#cbd5e1",
      400: "#94a3b8",
      500: "#64748b",
      600: "#475569",
      700: "#334155",
      800: "#1e293b",
      900: "#0f172a",
      950: "#020617"
    },
    gray: {
      50: "#f9fafb",
      100: "#f3f4f6",
      200: "#e5e7eb",
      300: "#d1d5db",
      400: "#9ca3af",
      500: "#6b7280",
      600: "#4b5563",
      700: "#374151",
      800: "#1f2937",
      900: "#111827",
      950: "#030712"
    },
    zinc: {
      50: "#fafafa",
      100: "#f4f4f5",
      200: "#e4e4e7",
      300: "#d4d4d8",
      400: "#a1a1aa",
      500: "#71717a",
      600: "#52525b",
      700: "#3f3f46",
      800: "#27272a",
      900: "#18181b",
      950: "#09090b"
    },
    neutral: {
      50: "#fafafa",
      100: "#f5f5f5",
      200: "#e5e5e5",
      300: "#d4d4d4",
      400: "#a3a3a3",
      500: "#737373",
      600: "#525252",
      700: "#404040",
      800: "#262626",
      900: "#171717",
      950: "#0a0a0a"
    },
    stone: {
      50: "#fafaf9",
      100: "#f5f5f4",
      200: "#e7e5e4",
      300: "#d6d3d1",
      400: "#a8a29e",
      500: "#78716c",
      600: "#57534e",
      700: "#44403c",
      800: "#292524",
      900: "#1c1917",
      950: "#0c0a09"
    },
    red: {
      50: "#fef2f2",
      100: "#fee2e2",
      200: "#fecaca",
      300: "#fca5a5",
      400: "#f87171",
      500: "#ef4444",
      600: "#dc2626",
      700: "#b91c1c",
      800: "#991b1b",
      900: "#7f1d1d",
      950: "#450a0a"
    },
    orange: {
      50: "#fff7ed",
      100: "#ffedd5",
      200: "#fed7aa",
      300: "#fdba74",
      400: "#fb923c",
      500: "#f97316",
      600: "#ea580c",
      700: "#c2410c",
      800: "#9a3412",
      900: "#7c2d12",
      950: "#431407"
    },
    amber: {
      50: "#fffbeb",
      100: "#fef3c7",
      200: "#fde68a",
      300: "#fcd34d",
      400: "#fbbf24",
      500: "#f59e0b",
      600: "#d97706",
      700: "#b45309",
      800: "#92400e",
      900: "#78350f",
      950: "#451a03"
    },
    yellow: {
      50: "#fefce8",
      100: "#fef9c3",
      200: "#fef08a",
      300: "#fde047",
      400: "#facc15",
      500: "#eab308",
      600: "#ca8a04",
      700: "#a16207",
      800: "#854d0e",
      900: "#713f12",
      950: "#422006"
    },
    lime: {
      50: "#f7fee7",
      100: "#ecfccb",
      200: "#d9f99d",
      300: "#bef264",
      400: "#a3e635",
      500: "#84cc16",
      600: "#65a30d",
      700: "#4d7c0f",
      800: "#3f6212",
      900: "#365314",
      950: "#1a2e05"
    },
    green: {
      50: "#f0fdf4",
      100: "#dcfce7",
      200: "#bbf7d0",
      300: "#86efac",
      400: "#4ade80",
      500: "#22c55e",
      600: "#16a34a",
      700: "#15803d",
      800: "#166534",
      900: "#14532d",
      950: "#052e16"
    },
    emerald: {
      50: "#ecfdf5",
      100: "#d1fae5",
      200: "#a7f3d0",
      300: "#6ee7b7",
      400: "#34d399",
      500: "#10b981",
      600: "#059669",
      700: "#047857",
      800: "#065f46",
      900: "#064e3b",
      950: "#022c22"
    },
    teal: {
      50: "#f0fdfa",
      100: "#ccfbf1",
      200: "#99f6e4",
      300: "#5eead4",
      400: "#2dd4bf",
      500: "#14b8a6",
      600: "#0d9488",
      700: "#0f766e",
      800: "#115e59",
      900: "#134e4a",
      950: "#042f2e"
    },
    cyan: {
      50: "#ecfeff",
      100: "#cffafe",
      200: "#a5f3fc",
      300: "#67e8f9",
      400: "#22d3ee",
      500: "#06b6d4",
      600: "#0891b2",
      700: "#0e7490",
      800: "#155e75",
      900: "#164e63",
      950: "#083344"
    },
    sky: {
      50: "#f0f9ff",
      100: "#e0f2fe",
      200: "#bae6fd",
      300: "#7dd3fc",
      400: "#38bdf8",
      500: "#0ea5e9",
      600: "#0284c7",
      700: "#0369a1",
      800: "#075985",
      900: "#0c4a6e",
      950: "#082f49"
    },
    blue: {
      50: "#eff6ff",
      100: "#dbeafe",
      200: "#bfdbfe",
      300: "#93c5fd",
      400: "#60a5fa",
      500: "#3b82f6",
      600: "#2563eb",
      700: "#1d4ed8",
      800: "#1e40af",
      900: "#1e3a8a",
      950: "#172554"
    },
    indigo: {
      50: "#eef2ff",
      100: "#e0e7ff",
      200: "#c7d2fe",
      300: "#a5b4fc",
      400: "#818cf8",
      500: "#6366f1",
      600: "#4f46e5",
      700: "#4338ca",
      800: "#3730a3",
      900: "#312e81",
      950: "#1e1b4b"
    },
    violet: {
      50: "#f5f3ff",
      100: "#ede9fe",
      200: "#ddd6fe",
      300: "#c4b5fd",
      400: "#a78bfa",
      500: "#8b5cf6",
      600: "#7c3aed",
      700: "#6d28d9",
      800: "#5b21b6",
      900: "#4c1d95",
      950: "#2e1065"
    },
    purple: {
      50: "#faf5ff",
      100: "#f3e8ff",
      200: "#e9d5ff",
      300: "#d8b4fe",
      400: "#c084fc",
      500: "#a855f7",
      600: "#9333ea",
      700: "#7e22ce",
      800: "#6b21a8",
      900: "#581c87",
      950: "#3b0764"
    },
    fuchsia: {
      50: "#fdf4ff",
      100: "#fae8ff",
      200: "#f5d0fe",
      300: "#f0abfc",
      400: "#e879f9",
      500: "#d946ef",
      600: "#c026d3",
      700: "#a21caf",
      800: "#86198f",
      900: "#701a75",
      950: "#4a044e"
    },
    pink: {
      50: "#fdf2f8",
      100: "#fce7f3",
      200: "#fbcfe8",
      300: "#f9a8d4",
      400: "#f472b6",
      500: "#ec4899",
      600: "#db2777",
      700: "#be185d",
      800: "#9d174d",
      900: "#831843",
      950: "#500724"
    },
    rose: {
      50: "#fff1f2",
      100: "#ffe4e6",
      200: "#fecdd3",
      300: "#fda4af",
      400: "#fb7185",
      500: "#f43f5e",
      600: "#e11d48",
      700: "#be123c",
      800: "#9f1239",
      900: "#881337",
      950: "#4c0519"
    },
    get lightBlue() {
      return a({
        version: "v2.2",
        from: "lightBlue",
        to: "sky"
      }), this.sky;
    },
    get warmGray() {
      return a({
        version: "v3.0",
        from: "warmGray",
        to: "stone"
      }), this.stone;
    },
    get trueGray() {
      return a({
        version: "v3.0",
        from: "trueGray",
        to: "neutral"
      }), this.neutral;
    },
    get coolGray() {
      return a({
        version: "v3.0",
        from: "coolGray",
        to: "gray"
      }), this.gray;
    },
    get blueGray() {
      return a({
        version: "v3.0",
        from: "blueGray",
        to: "slate"
      }), this.slate;
    }
  };
})(xt);
let Fe = xt;
var Ma = (Fe.__esModule ? Fe : { default: Fe }).default;
const b = /* @__PURE__ */ pt(Ma), Ge = "#d80000", Ze = "#ff3f3f", Mt = {
  colors: {
    /**
     * Action tokens.
     */
    "action-dark": b.slate[900],
    "action-dark-hover": b.slate[700],
    "action-dark-active": b.slate[600],
    "action-light": b.slate[500],
    "action-light-hover": b.slate[600],
    "action-light-active": b.slate[700],
    /**
     * Surface tokens.
     */
    "surface-dark": b.slate[900],
    "surface-medium": b.slate[500],
    "surface-light": b.slate[300],
    "surface-lighter": b.slate[200],
    "surface-accent": "#0B93F6",
    /**
     * Typography tokens.
     */
    "copy-dark": b.slate[900],
    "copy-dark-hover": b.slate[900],
    "copy-dark-active": b.slate[900],
    "copy-medium": b.slate[400],
    "copy-medium-hover": b.slate[400],
    "copy-medium-active": b.slate[400],
    "copy-light": b.slate[200],
    "copy-light-hover": b.slate[200],
    "copy-light-active": b.slate[400],
    "copy-lighter": "#ffffff",
    "copy-lighter-hover": "#ffffff",
    "copy-lighter-active": "#ffffff",
    "copy-error-dark": Ge,
    "copy-error-light": Ze,
    /**
     * Border tokens.
     */
    "border-dark": b.slate[900],
    "border-medium": b.slate[400],
    "border-light": b.slate[300],
    "border-white": "#ffffff",
    "border-error-dark": Ge,
    "border-error-light": Ze,
    /**
     * Focus tokens.
     */
    "focus-dark": b.slate[900],
    "focus-light": b.slate[300],
    "focus-error-dark": Ge,
    "focus-error-light": Ze,
    /**
     * Table tokens
     */
    "table-dark": b.gray[700],
    "table-dark-odd": b.gray[800],
    "table-dark-even": b.gray[900],
    "table-light": b.gray[100],
    "table-light-odd": b.gray[200],
    "table-light-even": b.gray[300]
  }
}, _a = D0("rgb"), $a = () => {
  const e = {};
  return Object.entries(Mt.colors).forEach(([t, n]) => {
    const a = _a(n), r = `--av-${t}`, o = a ? `${a.r * 255} ${a.g * 255} ${a.b * 255}` : "0 0 0";
    e[t] = `var(${r}, rgb(${o} / <alpha-value>))`;
  }), e;
}, ka = () => {
  const e = [];
  return Object.entries(Mt.colors).forEach(([t]) => {
    t.startsWith("action-") && (e.push(`bg-${t}`), e.push(`hover:bg-${t}`), e.push(`active:bg-${t}`)), t.startsWith("surface-") && e.push(`bg-${t}`), t.startsWith("copy-") && (e.push(`text-${t}`), e.push(`hover:text-${t}`), e.push(`active:text-${t}`)), t.startsWith("border-") && e.push(`border-${t}`), t.startsWith("focus-") && (e.push(`ring-${t}`), e.push(`focus:ring-${t}`));
  }), e;
}, za = () => {
  const e = [
    0,
    1,
    2,
    3,
    4,
    5,
    6,
    7,
    8,
    9,
    10,
    11,
    12,
    14,
    16,
    20,
    24,
    28,
    32,
    36,
    44,
    48,
    52,
    56,
    60,
    64,
    72,
    80,
    96
  ], t = [];
  return e.forEach((n) => {
    t.push(`mt-${n}`), t.push(`mr-${n}`), t.push(`mb-${n}`), t.push(`ml-${n}`);
  }), t;
}, wa = {
  theme: {
    extend: {
      colors: $a(),
      typography: {
        DEFAULT: {
          css: {
            blockquote: {
              borderLeftColor: "var(--tw-prose-blockquote-border-color)"
            },
            "ul > li::marker": {
              color: "var(--tw-prose-counter)"
            }
          }
        }
      }
    }
  }
}, S0 = [
  (__dirname + "/**/*.{js,ts,jsx,tsx}").replace("ui-plugins", "ui-components")
], j0 = [
  zt,
  ya(function({ addUtilities: e }) {
    e(wt);
  }, wa)
], E0 = [...za(), ...ka()], Pa = {
  content: S0,
  safelist: E0,
  plugins: j0,
  merge: (e) => {
    var r, o, f;
    const t = E0, n = S0, a = j0;
    return (r = e == null ? void 0 : e.safelist) != null && r.length ? e.safelist.push(...t) : e.safelist = t, (o = e == null ? void 0 : e.content) != null && o.length ? e.content.push(...n) : e.content = n, (f = e == null ? void 0 : e.plugins) != null && f.length ? e.plugins.push(...a) : e.plugins = a, e;
  }
};
export {
  wt as customCSS,
  Mt as tokens,
  Pa as twPlugin
};
